<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("it" . "em" => base64_decode("aXRlbQ=" . "="), "_ac607c7647863e835e243dbb2" . "e570767" => base64_decode("Li4vY29tbW9uL2NsYXNzZXMv" . "Q2xhVHJlZS5waHA="), "_ebcd6f048786cbe7c2507b" . "ec81bfcf8b" => base64_decode("R1JPVVBTX1NZU1RFTV9HUk" . "9VUF9TVEFURQ=="), "_e34a896152ff9a2c8f8e2043" . "ef6a9862" => base64_decode("U0VMRUNUIGdyb3VwbmFtZS" . "BGUk9NIGdyb3VwcyBXSEVS" . "RSBncm91cGlkPWludDppZA" . "=="), "_a0972d4e1c" . "b63c1201a18" . "61eb7216618" => base64_decode("U0VMRUNUIGdyb3VwaWQgRlJPTSBncm91cHMg" . "V0hFUkUgcGFyZW50X2lkPWludDppZA=="), "_939c6a45ff74323dbef487" . "ed15753a7c" => base64_decode("c3RhdG" . "U="), "tex" . "t" => base64_decode("dGV4dA=" . "="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_1252391578f717" . "02a86e93bddde53" . "65a" => base64_decode("dHJl" . "ZQ=="), "_5eb874c10bcb822ac57" . "156206d34b541" => base64_decode("ZGVma" . "W5l"));
require_once $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ac607c76478" . "63e835e243db" . "b2e570767"];
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5eb874c10bcb822ac57" . "156206d34b541"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ebcd6f048786cbe7c2507bec81bfc" . "f8b"], 2);




class Groups
{
    
    
    
    
    
    
    protected $tree;
    public function __construct()
    {
        $this->tree = new ClaTree();
    }
    
    
    
    
    
    
    public function GetGroupsTree()
    {
        $root = $this->tree->appendChild(new DOMElement($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_125239157" . "8f71702a86" . "e93bddde53" . "65a"]));
        $root->setAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["i" . "d"], 0);
        $this->LoadNode($root);
        return $this->tree;
    }
    
    
    
    
    
    
    protected function LoadNode(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        foreach ($this->GetChildsInfoById($_5c59c380aa5c5e5f18f039ad7757fe97->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["i" . "d"])) as $_174e15928a28c15cc95b46dd39328987) {
            $_df8d541fa6963e8101557408acad8023 = $_5c59c380aa5c5e5f18f039ad7757fe97->appendChild($this->GetElementByInfo($_174e15928a28c15cc95b46dd39328987));
            $_df8d541fa6963e8101557408acad8023->Load();
            $this->LoadNode($_df8d541fa6963e8101557408acad8023);
        }
    }
    protected function GetElementByInfo($info)
    {
        list($id) = $info;
        return new GroupTreeElement($id);
    }
    
    
    
    
    
    
    
    
    protected function GetChildsInfoById($id)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = array();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($this->GetChildsQuery($id));
        while ($row = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $_343a395319323dd7609bcbc465b4d034[] = $row;
        }
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    
    protected function GetChildsQuery($id)
    {
        return new Query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a0972d4e1cb63c1201a" . "1861eb7216618"], $id);
    }
}




class GroupTreeElement extends ClaTreeElement
{
    protected $state = GROUPS_SYSTEM_GROUP_STATE;
    protected $id;
    public function __construct($id)
    {
        $this->id = $id;
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["ite" . "m"]);
    }
    
    
    
    
    public function Load()
    {
        global $db;
        $this->SetBasicAttributes();
        list($name) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e34a896152ff9a2c8f8e2043ef6a986" . "2"], $this->id);
        $this->setAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["te" . "xt"], $name);
        $this->AddUserDataByName($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_939c6a45ff74323dbef48" . "7ed15753a7c"], $this->state);
    }
}